# -*- rpm-spec -*-

Summary: xapi-noarch - xen toolstack for XCP
Name:    xapi-noarch
Version: 0.2
Release: 6939
Group:   System/Hypervisor
License: LGPL+linking exception
URL:  http://www.xen.org
Source0: xapi-noarch-%{version}.tar.bz2
Source1: jquery-1.1.3.1.pack.js
Source2: jquery.treeview.zip
Patch0: xapi-version.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: pam-devel tetex-latex xapi-libs-devel ocaml omake ocaml-findlib ocaml-xmlm ocaml-type-conv ocaml-xmlm-devel xen-devel zlib-devel
BuildArch: noarch

%description
XCP toolstack.

%package backend-udev
Summary: The udev rules and scripts needed by a network/block driver domain
Group: System/Hypervisor
Requires: util-linux ethtool bridge-utils iproute
# + openvswitch
# + a package with xenstore-{ls,read,write}

%description backend-udev
The udev rules are triggered by blkback/netback and implement part of the disk/network hotplug protocol. All driver domains must install this package (or a similar one)

%package www
Summary: The XenAPI www interface
Group: System/Hypervisor

%description www
This package contains the XenAPI www interface

%package docs
Summary: Xen-API documentation and examples
Group:   Development/Documentation

%description docs
This package contains Xen-API documentation and examples in several programming languages.

%prep 
%setup -q
cp $RPM_SOURCE_DIR/jquery* $RPM_BUILD_DIR/xapi-noarch-0.2/ocaml/idl
%patch0 -p0 -b xapi-version.patch

%build
COMPILE_JAVA=no %{__make}

%install
rm -rf %{buildroot}

DESTDIR=$RPM_BUILD_ROOT %{__make} noarch-install

%clean
rm -rf $RPM_BUILD_ROOT

%files backend-udev
%defattr(-,root,root,-)
/etc/udev/rules.d/xen-backend.rules
/etc/udev/rules.d/xen-frontend.rules
/etc/udev/xen-backend.rules
/etc/udev/xen-frontend.rules
/etc/xensource/scripts/block-frontend
/etc/xensource/scripts/tap
/etc/xensource/scripts/vif
/etc/xensource/scripts/block
/opt/xensource/libexec/setup-vif-rules

%files www
%defattr(-,root,root,-)
#/opt/xensource/debug/www/XenServerConsole.jar
/opt/xensource/debug/www/api.js
/opt/xensource/debug/www/apicall.css
/opt/xensource/debug/www/apicall.js
/opt/xensource/debug/www/construct_tree.js
/opt/xensource/debug/www/devweb.css
/opt/xensource/debug/www/devweb.js
/opt/xensource/debug/www/editables.js
/opt/xensource/debug/www/graphs.js
/opt/xensource/debug/www/haplan.css
/opt/xensource/debug/www/haplan.js
/opt/xensource/debug/www/images/xen_logo.gif
/opt/xensource/debug/www/index.html
/opt/xensource/debug/www/jquery/jqDnR.css
/opt/xensource/debug/www/jquery/jqDnR.js
/opt/xensource/debug/www/jquery/jqModal.css
/opt/xensource/debug/www/jquery/jqModal.js
/opt/xensource/debug/www/jquery/jquery-1.3.2.js
/opt/xensource/debug/www/jquery/jquery-dom.js
/opt/xensource/debug/www/jquery/jquery.autocomplete.css
/opt/xensource/debug/www/jquery/jquery.autocomplete.js
/opt/xensource/debug/www/jquery/jquery.bgiframe.js
/opt/xensource/debug/www/jquery/jquery.color.js
/opt/xensource/debug/www/jquery/jquery.cookie.js
/opt/xensource/debug/www/jquery/jquery.jeditable.js
/opt/xensource/debug/www/jquery/jquery.rpc.js
/opt/xensource/debug/www/jquery/jquery.treeview.js
/opt/xensource/debug/www/main.js
/opt/xensource/debug/www/messages.js
/opt/xensource/debug/www/networks.css
/opt/xensource/debug/www/networks.js
/opt/xensource/debug/www/objectviewoverrides.js
/opt/xensource/debug/www/offline.js
/opt/xensource/debug/www/process_rrd.js
/opt/xensource/debug/www/tree.css
/opt/xensource/debug/www/vmsearch.js
/opt/xensource/debug/www/xenapi.js

%files docs
%defattr(-,root,root,-)
/usr/share/doc/xapi/*
#/usr/share/doc/xapi/client-examples/*/*
#/usr/share/doc/xapi/docs/html/API/Classes/*/index.html
#/usr/share/doc/xapi/docs/html/API/Classes/*/Explicit/*
#/usr/share/doc/xapi/docs/html/API/Classes/*/Implicit/*
#/usr/share/doc/xapi/docs/html/API/Classes/*/Fields/*
#/usr/share/doc/xapi/docs/html/*
#/usr/share/doc/xapi/docs/html/images/*
#/usr/share/doc/xapi/docs/pdf/xenenterpriseapi.pdf

%changelog








